reloc65 Class Reference

`#include <reloc65.h>`

## Public Member Functions

| reloc65 (int addr)
bool | reloc (unsigned char **buf, int *fsize)

## Detailed Description

reloc65 – A part of xa65 - 65xx/65816 cross-assembler and utility suite o65 file relocator. Trimmed down for our needs.

## Constructor & Destructor Documentation

## reloc65()

reloc65::reloc65 | ( | int | addr | ) |

Parameters

  addr | address of the segment to relocate

## Member Function Documentation

## reloc()

bool reloc65::reloc | ( | unsigned char ** | buf,
|  | int * | fsize
| ) |  |

Do the relocation.

Parameters

  buf | beffer containing o65 data
  fsize | size of the data

The documentation for this class was generated from the following files:

- reloc65.h
- reloc65.cpp